Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 616)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 617)
@@ -66,4 +66,6 @@
 	private static Document dcwormsDocument;
 	private static Logger logger = Logger.getLogger(DEBB2DCWoRMSTranslator.class);
+	private static StreamSource xsltDEBBComponentTransformationSource;
+	private static Transformer xsltDEBBComponentTransformationTransformer;
 	
 	/**
@@ -185,5 +187,5 @@
 	}
 
-	private static void initialize() throws ParserConfigurationException {
+	private static void initialize() throws ParserConfigurationException, TransformerConfigurationException {
 		domFactory = DocumentBuilderFactory.newInstance();
 		domFactory.setNamespaceAware(true); // never forget this!
@@ -195,4 +197,12 @@
 		xmlDocumentBuilder = domFactory.newDocumentBuilder();
 
+		//	XSLT transformation for translating information stored DEBB Components file(s)
+		xsltDEBBComponentTransformationSource = new StreamSource(
+				DEFAULT_DEBB_COMPONENT_TRANSFORMATION_FILE_NAME);
+		// create an instance of TransformerFactory
+		TransformerFactory transFact = TransformerFactory.newInstance();		
+		xsltDEBBComponentTransformationTransformer = transFact
+		.newTransformer(xsltDEBBComponentTransformationSource);
+		
 		// TODO: Check it this is correct!
 		// TODO: Move it to configuration file
@@ -390,5 +400,5 @@
 
 		// *****************************************************************
-		// Add computingResource element for the DEBB
+		// 3) Add computingResource element for the DEBB
 		if (debbLevelNode != null) {
 			Element computingResourceElement = dcwormsDocument
@@ -417,20 +427,15 @@
 
 			// *****************************************************************
-			//	Translation of information about debb taken from DEBB components file
-			// DOMSource/DOMResult
+			//	4) Translation of information about DEBB taken from corresponding DEBB components file
 			try {
-				// DOMSource domSource = new DOMSource(debbParentElement);
+				//	Each DEBB can be described in separate document
+				//	DOMSource -> DOMResult
 				DOMSource domSource = new DOMSource(debbComponentNode);
-				Source xsltSource = new StreamSource(
-						DEFAULT_DEBB_COMPONENT_TRANSFORMATION_FILE_NAME);
 				DOMResult domResult = new DOMResult(computingResourceElement);
-				// StreamResult systemOutResult = new StreamResult(System.out);
-				// create an instance of TransformerFactory
-				TransformerFactory transFact = TransformerFactory.newInstance();
-
-				javax.xml.transform.Transformer trans = transFact
-						.newTransformer(xsltSource);
-
-				trans.transform(domSource, domResult);
+
+
+
+
+				xsltDEBBComponentTransformationTransformer.transform(domSource, domResult);
 				logger.debug("result node="
 						+ domResult.getNode().getNodeName());
@@ -439,4 +444,6 @@
 			}
 
+			//	5) Adding several minor details about DEBB stored in PLM XML document:
+			//	Name of the host
 			if (debbHostNameNode != null) {
 				Element parameterElement = dcwormsDocument
@@ -453,4 +460,5 @@
 			}
 
+			//	Sequence
 			if (debbSequenceNode != null) {
 				// TODO: Sequence is described unclearly in the deliverable, not
@@ -470,4 +478,5 @@
 			debbParentElement.appendChild(computingResourceElement);
 
+			//	Label
 			if (debbLabelNode != null) {
 				Element parameterElement = dcwormsDocument
@@ -485,4 +494,5 @@
 			}
 
+			//	Location
 			if (debbLocationNode != null) {
 				Element parameterElement = dcwormsDocument
@@ -499,10 +509,7 @@
 			}
 
+
 			// *****************************************************************
-
-			// Find component
-
-			// *****************************************************************
-			// Get nested instances - nested DEBBs and ask them to transform
+			// 6) Get nested instances - nested DEBBs and ask them to transform
 			// themselves
 			Node instanceRefsNode = productRevisionViewNode.getAttributes()