Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 617)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 623)
@@ -11,5 +11,4 @@
 import javax.xml.parsers.ParserConfigurationException;
 import javax.xml.transform.OutputKeys;
-import javax.xml.transform.Source;
 import javax.xml.transform.Transformer;
 import javax.xml.transform.TransformerConfigurationException;
@@ -65,8 +64,9 @@
 	private static XPath xpath;
 	private static Document dcwormsDocument;
-	private static Logger logger = Logger.getLogger(DEBB2DCWoRMSTranslator.class);
+	private static Logger logger = Logger
+			.getLogger(DEBB2DCWoRMSTranslator.class);
 	private static StreamSource xsltDEBBComponentTransformationSource;
 	private static Transformer xsltDEBBComponentTransformationTransformer;
-	
+
 	/**
 	 * 
@@ -85,5 +85,6 @@
 		if (args != null && args.length > 0) {
 			inputFileName = args[0];
-			if (inputFileName == null || (inputFileName != null && inputFileName.isEmpty() == true)) {
+			if (inputFileName == null
+					|| (inputFileName != null && inputFileName.isEmpty() == true)) {
 				inputFileName = DEFAULT_PLMXML_INPUT_FILE_NAME;
 			}
@@ -91,5 +92,6 @@
 			if (args.length > 1) {
 				outputFileName = args[1];
-				if (outputFileName == null || (outputFileName != null && outputFileName.isEmpty() == true)) {
+				if (outputFileName == null
+						|| (outputFileName != null && outputFileName.isEmpty() == true)) {
 					outputFileName = DEFAULT_DCWORMS_OUTPUT_FILE_NAME;
 				}
@@ -97,10 +99,8 @@
 		}
 		BasicConfigurator.configure();
-		
+
 		logger.debug("inputFileName=" + inputFileName);
 		logger.debug("outputFileName=" + outputFileName);
-		
-
-		
+
 		try {
 			initialize();
@@ -187,5 +187,6 @@
 	}
 
-	private static void initialize() throws ParserConfigurationException, TransformerConfigurationException {
+	private static void initialize() throws ParserConfigurationException,
+			TransformerConfigurationException {
 		domFactory = DocumentBuilderFactory.newInstance();
 		domFactory.setNamespaceAware(true); // never forget this!
@@ -197,12 +198,13 @@
 		xmlDocumentBuilder = domFactory.newDocumentBuilder();
 
-		//	XSLT transformation for translating information stored DEBB Components file(s)
+		// XSLT transformation for translating information stored DEBB
+		// Components file(s)
 		xsltDEBBComponentTransformationSource = new StreamSource(
 				DEFAULT_DEBB_COMPONENT_TRANSFORMATION_FILE_NAME);
 		// create an instance of TransformerFactory
-		TransformerFactory transFact = TransformerFactory.newInstance();		
+		TransformerFactory transFact = TransformerFactory.newInstance();
 		xsltDEBBComponentTransformationTransformer = transFact
-		.newTransformer(xsltDEBBComponentTransformationSource);
-		
+				.newTransformer(xsltDEBBComponentTransformationSource);
+
 		// TODO: Check it this is correct!
 		// TODO: Move it to configuration file
@@ -427,23 +429,27 @@
 
 			// *****************************************************************
-			//	4) Translation of information about DEBB taken from corresponding DEBB components file
+			// 4) Translation of information about DEBB taken from corresponding
+			// DEBB components file
 			try {
-				//	Each DEBB can be described in separate document
-				//	DOMSource -> DOMResult
+				// Each DEBB can be described in separate document
+				// DOMSource -> DOMResult
+				// Starting parsing DEBB Components document from specified node
+				// works fine with Saxon, but doesn't with Xalan
 				DOMSource domSource = new DOMSource(debbComponentNode);
 				DOMResult domResult = new DOMResult(computingResourceElement);
 
-
-
-
-				xsltDEBBComponentTransformationTransformer.transform(domSource, domResult);
-				logger.debug("result node="
-						+ domResult.getNode().getNodeName());
+				xsltDEBBComponentTransformationTransformer.transform(domSource,
+						domResult);
+				logger.debug("result node=" + domResult.getNode().getNodeName());
 			} catch (NullPointerException npEx) {
-				logger.info("Cannot find debb " + debbComponentIdNode.getNodeValue() + " in corresponding DEBB Components file");
-			}
-
-			//	5) Adding several minor details about DEBB stored in PLM XML document:
-			//	Name of the host
+				logger.info("Cannot find debb "
+						+ debbComponentIdNode.getNodeValue()
+						+ " in corresponding DEBB Components "
+						+ debbComponentFileName + " file");
+			}
+
+			// 5) Adding several minor details about DEBB stored in PLM XML
+			// document:
+			// Name of the host
 			if (debbHostNameNode != null) {
 				Element parameterElement = dcwormsDocument
@@ -460,5 +466,5 @@
 			}
 
-			//	Sequence
+			// Sequence
 			if (debbSequenceNode != null) {
 				// TODO: Sequence is described unclearly in the deliverable, not
@@ -478,5 +484,5 @@
 			debbParentElement.appendChild(computingResourceElement);
 
-			//	Label
+			// Label
 			if (debbLabelNode != null) {
 				Element parameterElement = dcwormsDocument
@@ -494,5 +500,5 @@
 			}
 
-			//	Location
+			// Location
 			if (debbLocationNode != null) {
 				Element parameterElement = dcwormsDocument
@@ -508,5 +514,4 @@
 				computingResourceElement.appendChild(parameterElement);
 			}
-
 
 			// *****************************************************************