Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 632)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 638)
@@ -181,8 +181,8 @@
 DCSG Simulator \cite{DCSG} is a Data Centre Cost and Energy Simulator that has been developed under the Carbon Trust Low Carbon Collaborations program in conjunction with the BCS and Romonet Ltd. The simulator works at both a data center infrastructure level where analysis of the achieved efficiency of the data center mechanical and electrical plant can be performed but also at the IT level. The simulator implements a set of basic rules that have been developed, based on a detailed understanding of the data center as a system, to allow cost and energy use to be usefully allocated to IT devices within the data center. 
 
-As far as data center infrastructure level is concerned, DCSG Simulator is calculates the power and cooling schema of data center equipment with respect to their performance. User is able to take into account a wide variety of mechanical and electrical devices like: transformers, power distribution units, uninterruptible power supply, cabling, computer room air conditioning units and chiller plant. For each of them a numerous factors can be defined, including device capacity and efficiency, load operating points. These data can be derived from a generic list as well as from the information given by particular manufacturers. There is a wide range of pre-defined models, but user can easily extend them or create a new ones.
+As far as data center infrastructure level is concerned, DCSG Simulator is calculates the power and cooling schema of data center equipment with respect to their performance. User is able to take into account a wide variety of mechanical and electrical devices like: transformers, power distribution units, power supply, cabling, computer room air conditioning units and chiller plant. For each of them a numerous factors can be defined, including device capacity and efficiency, load operating points. These data can be derived from a generic list as well as from the information given by particular manufacturers. There is a wide range of pre-defined models, but user can easily extend them or create a new ones.
 
 To perform an IT simulation, it is possible to extend the data center infrastructure by putting IT devices into that data center. That enables detailed simulation of the energy efficiency of devices across a specified time period. 
-In this case performance of each piece of equipment (facility and IT) within a datacenter is determined by a combination of factors, including workload, datacenter conditions, the manufacturer's specifications of the machine's components and the way in which the machine is utilized based on its provisioned IT load. 
+In this case performance of each piece of equipment (facility and IT) within a data center is determined by a combination of factors, including workload, data center conditions, the manufacturer's specifications of the machine's components and the way in which the machine is utilized based on its provisioned IT load. 
 IT is possible to bind the operational characteristics, proper to the particular geographic locations, with the simulation process. These characteristics may include temperature profile as well as the power cost that vary depending on the time and place. The output of this simulation is a set of energy and cost data representing the IT device and data center energy consumption, capital and operational costs.
 
@@ -250,4 +250,5 @@
 
 \subsubsection{Power management}
+
 The motivation behind introducing a power management concept in DCWoRMS is providing researchers with the means to define the energy efficiency of resources, dependency of energy consumption on resource load and specific applications, and to manage power modes of resources. Proposed solution extends the power management concept presented in GSSIM \cite{GSSIM_Energy} by offering a much more granular approach with the possibility of plugging energy consumption models and power profiles into each resource level.
 
@@ -270,4 +271,5 @@
 
 \subsubsection{Air throughput management concept}
+
 The presence of an air throughput concept addresses the issue of resource air-cooling facilities provisioning. Using the air throughput profiles and models allows anticipating the air flow level on output of the computing system component, resulting from air-cooling equipment management.
 
@@ -285,9 +287,33 @@
 \end{figure}
 
-
 \paragraph{\textbf{Air throughput management interface}}
 The DCWoRMS delivers interfaces that provide access to the air throughput profile data, allows acquiring detailed information concerning current air flow conditions and changes in air flow states. The availability of these interfaces support evaluation of different cooling strategies.
 
+
+
+\subsubsection{Thermal management concept}
+
+The primary motivation behind the incorporation of thermal aspects in the DCWoRMS is to exceed the commonly adopted energy use-cases and apply more sophisticated scenarios. By the means of dedicated profiles and interfaces, it is possible to perform experimental studies involving temperature-aware workload placement.
+
+\paragraph{\textbf{Thermal profile}}
+Thermal profile expresses the thermal specification of resources. It consists of the definition of the thermal design power (TDP), thermal resistance and thermal states that describe how the temperature depends on dissipated heat. For the purposes of more complex experiments, introducing of new, user-defined characteristics is supported. The aforementioned values may be provided for all computing system components distinguishing them, for instance, according to their material parameters and models.
+
+\paragraph{\textbf{Temperature estimation model}}
+Thermal profile, complemented with the temperature measurement model implementation may introduce temperature sensors simulation. In this way, users have means to approximately predict the temperature of the simulated objects. The proposed approach assumes some simplifications that ignore heating and cooling processes.
+
+Figure~\ref{fig:tempModel} summarizes relation between model and profile and input data.
+
+\begin{figure}[tbp]
+\centering
+\includegraphics[width = 8cm]{fig/tempModel.png}
+\caption{\label{fig:tempModel} Temperature estimation modeling}
+\end{figure}
+
+\paragraph{\textbf{Thermal resource management interface}}
+As the temperature is highly dependent on the dissipated heat and cooling capacity, thermal resource management is performed via a power and air throughput interface. Nevertheless, the interface provides access to the thermal resource characteristics and the current temperature values
+
+
 \subsection{Application performance modeling}
+
 In general, DCWoRMS implement user application models as objects describing computational, communicational and energy requirements and profiles of the task to be scheduled. Additionally, simulator provides means to include complex and specific application performance models during simulations. They allow researchers to introduce specific ways of calculating task execution time. These models can be plugged into the simulation environment through a dedicated API and implementation of an appropriate plugin. To specify the execution time of a task user can apply a number of parameters, including:
 \begin{itemize}
@@ -303,8 +329,10 @@
 
 
-
 \section{Modelling of energy efficiency in DCWoRMS}
 
+To facilitate the simulation process, DCWoRMS provides some basic implementation of power consumption and air throughput models.
+
 \subsection{Power consumption models}
+
 The energy consumption models provided by default can be classified into the following groups, starting from the simplest model up to the more complex ones. Users can easily switch between the given models and incorporate new, visionary scenarios.
 \paragraph{\textbf{Static approach}} is based on a static definition of resource power usage. This model calculates the total amount of energy consumed by the computing resource system as a sum of energy, consumed by all its components (processors, disks, power adapters, etc.). More advanced versions of this approach assume definition of resource states along with corresponding power usage. This model follows changes of resource power states and sums up the amounts of energy defined for each state.
@@ -313,4 +341,5 @@
 
 \subsection{Air throughput models}
+
 The DCWoRMS comes with the following predefined models.
 By default, air throughput estimations are performed according to the first one.
@@ -318,8 +347,32 @@
 \paragraph{\textbf{Space}} model allows taking into account a duct associated with the investigated air flow. On the basis of the given fan rotation speed and the obstacles before/behind the fans, the output air throughput can be roughly estimated, Thus, it is possible to estimate the air flow level not only referring to the current fan operating state but also with respect to the resource and its subcomponent placement. More advanced scenario may consider mutual impact of several air flows.
 
-
-\section{Experimental results}
+\subsection{Thermal models}
+The following models are supported natively. By default, the static strategy is applied.
+
+\paragraph{\textbf{Static}} approach follows the changes in heat, generated by the computing system components and matches the corresponding temperature according to the specified profile. Since it tracks the power consumption variations, corresponding values must be delivered, either from power consumption model or on the basis of user data. Replacing the appropriate temperature values with function based on the defined material properties and/o experimentally measured values can easily extend this model.
+
+\paragraph{\textbf{Ambient}} model allows taking into account the surrounding cooling infrastructure. It calculates the device temperature as a function adopted from the static approach and extends it with the influence of cooling method. The efficiency of cooling system may be derived from the current air throughput value.
+
+\section{Experiments and evaluation}
 
 Results + RECS and MOP description
+
+....
+
+In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. We carried out two types of experiments. The former one aimed at demonstrating the capabilities of the simulator in termis of verifying the research hypotheses. The latter set of experiments was performed CoolEmAll testbed and then repeated using DCWoRMS tool. The comparative analysis of obtained results shows the reproducibility of experiments and prove the correctness of .
+
+\subsection{Testbed description}
+
+The RECS Cluster System is an 18 node computer system that has an monitoring and controlling mechanism integrated. Through the integrated novel monitoring approach of the RECS Cluster System the network load can be reduced, the dependency of polling every single
+compute node at operation system layer can be avoided. Furthermore this concept build up a basis on which new monitoring- and controlling-concepts can be developed. Therefore, each compute node of the RECS Cluster Server is connected to an Operation System independent microcontroller that collects the most important sensor data like temperature, power consumption and the status (on/off) from every single node.
+
+
+%Node i7, 16 GB RAM	4
+%Node AMD Fusion T40N Dualcore, 1,0 Ghz, 4 GB (64 Bit)	6
+%Node Atom D510 64 Bit, 2 GB	4
+%Node Atom Z510 VT, 2 GB	4
+%RECS | Storage Head 520, 16 x 300 GB SSD, 2 x 10 Gbit/s CX4
+
+\subsection{Computattional analysis}
 
 \section{DCWoRMS application}