Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 638)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 639)
@@ -55,12 +55,10 @@
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Static}}{15}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Ambient}}{15}}
-\bibcite{CloudSim}{{1}{}{{}}{{}}}
-\bibcite{DCSG}{{2}{}{{}}{{}}}
 \@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{16}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{16}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computattional analysis}{16}}
 \@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application}{16}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{16}}
-\newlabel{}{{7}{16}}
+\bibcite{CloudSim}{{1}{}{{}}{{}}}
+\bibcite{DCSG}{{2}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{3}{}{{}}{{}}}
 \bibcite{Ghislain}{{4}{}{{}}{{}}}
@@ -69,4 +67,6 @@
 \bibcite{GSSIM_Energy}{{7}{}{{}}{{}}}
 \bibcite{GWF}{{8}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{18}}
+\newlabel{}{{7}{18}}
 \bibcite{SLURM}{{9}{}{{}}{{}}}
 \bibcite{SWF}{{10}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 638)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 639)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1353418966 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1353421120 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -29,7 +29,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1353418966 4613 d518b7404dbb3426563ba82f9a441012 ""
-  "elsarticle-DCWoRMS.spl" 1353418966 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1353418966 40680 bf9250543a1cd720051f7590fc8e36c4 ""
+  "elsarticle-DCWoRMS.aux" 1353421121 4613 d43e119df55bdee58617b8223b55ae73 ""
+  "elsarticle-DCWoRMS.spl" 1353421120 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1353421118 44579 8a1bab9d89af0ed388dd89500a23fc84 ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/airModel.png" 1353405890 41411 f33639119a59ae1d2eabb277137f0042 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 638)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 639)
@@ -360,5 +360,5 @@
 ....
 
-In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. We carried out two types of experiments. The former one aimed at demonstrating the capabilities of the simulator in termis of verifying the research hypotheses. The latter set of experiments was performed CoolEmAll testbed and then repeated using DCWoRMS tool. The comparative analysis of obtained results shows the reproducibility of experiments and prove the correctness of .
+In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. We carried out two types of experiments. The former one aimed at demonstrating the capabilities of the simulator in termis of verifying the research hypotheses. The latter set of experiments was performed CoolEmAll testbed and then repeated using DCWoRMS tool. The comparative analysis of obtained results shows the reproducibility of experiments and prove the correctness of the adopted models and assumptions.
 
 \subsection{Testbed description}
@@ -378,5 +378,18 @@
 \section{DCWoRMS application}
 
+
 DCWoRMS in CoolEmALl, integration with CFD
+
+...
+
+Being based on the GSSIM framework, that has been successfully applied in a substantial number of research projects and academic studies, DCWoRMS with its sophisticated energy extension become an noticeable tool for studies of energy efficiency in distributed environments. For this reason, it has been adopted within the CoolEmAll project as a component of SVD Toolkit. In general the main goal of CoolEmAll is to provide advanced simulation, visualisation and decision support tools along with blueprints of computing building blocks for modular data centre environments. Once developed, these tools and blueprints should help to minimise the energy consumption, and consequently the CO2 emissions of the whole IT infrastructure with related facilities. The SVD Toolkit supports the analysis and optimization of IT modern infrastructures.
+
+However, thermal management strategies are not the only important aspects influencing the energy efficiency of data centres. Actual power usage and effectiveness of energy saving methods heavily depends on available resources, types of applications and workload properties. Therefore, intelligent resource management policies are gaining popularity when considering the energy efficiency of IT infrastructures.
+Hence, SVD Toolkit integrates also workload management and scheduling policies to support complex modeling and optimization of modern data centres.
+
+The main aim of DCWoRMS is to enable studies of dynamic states of IT infrastructures, like power consumption and air throughput distribution, on the basis of changing workloads, resource model and energy-aware resource management policies.
+Workload simulation phase takes into account the specific workload and application characteristics as well as detailed resource parameters. It will benefit from the CoolEmAll benchmarks and classification of applications and workloads. In particular various types of workload, including data centre workloads using virtualization and HPC applications, may be considered. The knowledge concerning their performance and properties as well as information about their energy consumption and heat production will be used in simulations to study their impact on thermal issues and energy efficiency. The Resource model is based on DEBB description that supports modeling a data centre at various granularity levels. Besides defining simulated architecture, it is complemented with resource energy profiles that become an additional criterion in the workload management process. Based on this data workload simulation will support evaluation process of various resource management approaches. These policies may include a wide spectrum of energy-aware strategies such as workload consolidation/migration, dynamic switching off nodes, Dynamic Voltage and Frequency Scaling (DFVS), and thermal-aware methods. In addition to typical approaches minimizing energy consumption, policies that prevent too high temperatures in the presence of limited cooling (or no cooling) may also be analyzed. Moreover, apart from the set of predefined strategies, new approaches can easily be applied and examined.
+The outcome of the workload simulation phase is a distribution of power usage and air throughput for the computing models specified within the SVD Toolkit. These statistics may be analyzed directly by data centre designers and administrators and/or provided as an input to the CFD simulation phase. The former case allows studying how the above metrics change over time, while the latter harness CFD simulations to identify temperature differences between the computing modules, called hot spots. The goal of this scenario is to visualise the behavior of the temperature distribution within a server room with a number of racks for different types of executed workloads and for various policies used to manage these workloads.
+
 
 \section{Conclusions and future work}