Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_FusionGT56N.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_FusionGT56N.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_FusionGT56N.xml	(revision 644)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_FusionGT56N</ComponentId>
+		<Manufacturer>Congatec</Manufacturer>
+		<Product>conga-BAF/T56N</Product>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_FusionGT56N_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_FusionGT56N_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>Congatec</Manufacturer>
+			<Product>conga-BAF</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>AMD</Manufacturer>
+			<Product>Fusion G-T56N</Product>
+			<MaxPower>18.0</MaxPower>
+			<MaxClockSpeed>1600</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Capacity>2048</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_gamesRack.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_gamesRack.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_gamesRack.xml	(revision 644)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?><ComputeBox1 xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>gamesRack</ComponentId>
+		<Manufacturer>NEC</Manufacturer>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>hlrs_sSR_gamesRack_temperature1</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Storage>
+			<Manufacturer>Christmann</Manufacturer>
+			<MaxPower>350.0</MaxPower>
+			<Class>Diverse</Class>
+			<Capacity>6000</Capacity>
+			<Interface>2*GBit Ethernet</Interface>
+		</Storage>
+	</ComputeBox1>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomD510.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomD510.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomD510.xml	(revision 644)
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_AtomD510</ComponentId>
+		<Manufacturer>Manufacturer</Manufacturer>
+		<Product>Product</Product>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_AtomD510_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_AtomD510_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>Manufacturer</Manufacturer>
+			<Product>Product</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>Atom D510</Product>
+			<MaxPower>13.0</MaxPower>
+			<MaxClockSpeed>1600</MaxClockSpeed>
+			<PState>
+				<State>0</State>
+				<Frequency>1600.0</Frequency>
+				<Voltage>0.0</Voltage>
+				<PowerUsage>13.0</PowerUsage>
+				<Transition>
+					<ToState>1</ToState>
+					<PowerUsage>0.0</PowerUsage>
+					<Time>0.001</Time>
+				</Transition>
+			</PState>
+			<PState>
+				<State>1</State>
+				<Frequency>1400.0</Frequency>
+				<Voltage>0.0</Voltage>
+				<PowerUsage>9.0</PowerUsage>
+				<Transition>
+					<ToState>0</ToState>
+					<PowerUsage>0.0</PowerUsage>
+					<Time>0.001</Time>
+				</Transition>
+			</PState>
+		</Processor>
+		<Memory>
+			<Capacity>4096</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_i7_16GB.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_i7_16GB.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_i7_16GB.xml	(revision 644)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_i7/16GB</ComponentId>
+		<Manufacturer>kontron</Manufacturer>
+		<Product>COMe-bSC2 i7-2715QE ECC</Product>
+		<MaxPower>0.0</MaxPower>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_i7/16GB_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_i7/16GB_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>kontron</Manufacturer>
+			<Product>COMe-bSC2</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>i7-2715QE</Product>
+			<MaxPower>45.0</MaxPower>
+			<MaxClockSpeed>2100</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Capacity>16384</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_RECS_Sirius_Fan.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_RECS_Sirius_Fan.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_RECS_Sirius_Fan.xml	(revision 644)
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?><CoolingDevice xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>RECS_Sirius_Fan</ComponentId>
+		<MaxPower>5.0</MaxPower>
+		<Class>Fan</Class>
+		<MaxAirThroughput>1.0</MaxAirThroughput>
+	</CoolingDevice>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_i7_8GB.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_i7_8GB.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_i7_8GB.xml	(revision 644)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_i7/8GB</ComponentId>
+		<Manufacturer>kontron</Manufacturer>
+		<Product>COMe-bSC2 i7-2715QE ECC</Product>
+		<MaxPower>0.0</MaxPower>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_i7/8GB_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_i7/8GB_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>kontron</Manufacturer>
+			<Product>COMe-bSC2</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>i7-2715QE</Product>
+			<MaxPower>45.0</MaxPower>
+			<MaxClockSpeed>2100</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Capacity>8192</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_hlrs_smallServerRoom.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_hlrs_smallServerRoom.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_hlrs_smallServerRoom.xml	(revision 644)
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="UTF-8"?><ComputeBox2 xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>hlrs_smallServerRoom</ComponentId>
+		<Manufacturer>HLRS</Manufacturer>
+		<Product>SmallServerRoom</Product>
+		<MaxPower>200000</MaxPower>
+		<CoolingDevice>
+			<MaxPower>0.0</MaxPower>
+			<Class>CRAH</Class>
+		</CoolingDevice>
+		<CoolingDevice>
+			<Manufacturer>Manufacturer</Manufacturer>
+			<Product>Product</Product>
+			<MaxPower>0.0</MaxPower>
+			<Class>CRAH</Class>
+			<MaxCoolingCapacity>60000000</MaxCoolingCapacity>
+			<MaxAirThroughput>0.0</MaxAirThroughput>
+			<MaxWaterThroughput>0.0</MaxWaterThroughput>
+			<ThroughputProfile>
+				<FlowState>
+					<State>StateONE</State>
+					<Flow>1.5</Flow>
+					<PowerUsage>2</PowerUsage>
+					<Transition>
+						<ToState>StateTWO</ToState>
+						<PowerUsage>5</PowerUsage>
+						<Time>2</Time>
+					</Transition>
+				</FlowState>
+				<FlowState>
+					<State>StateTWO</State>
+					<Flow>2.5</Flow>
+					<PowerUsage>3</PowerUsage>
+					<Transition>
+						<ToState>StateONE</ToState>
+						<PowerUsage>4</PowerUsage>
+						<Time>6</Time>
+					</Transition>
+				</FlowState>
+			</ThroughputProfile>
+		</CoolingDevice>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<MinValue>0.0</MinValue>
+			<MaxValue>110.0</MaxValue>
+			<Factor>1.0</Factor>
+			<Accuracy>10.0</Accuracy>
+			<SensorId>hlrs_smallServerRoom_temperature1</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<MinValue>0.0</MinValue>
+			<MaxValue>110.0</MaxValue>
+			<Factor>1.0</Factor>
+			<Accuracy>10.0</Accuracy>
+			<SensorId>hlrs_smallServerRoom_temperature2</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Storage>
+			<Manufacturer>IBM</Manufacturer>
+			<Class>Disc Library</Class>
+			<Capacity>0</Capacity>
+			<Interface>Interface</Interface>
+		</Storage>
+	</ComputeBox2>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_FusionGT40N.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_FusionGT40N.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_FusionGT40N.xml	(revision 644)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_FusionGT40N</ComponentId>
+		<Manufacturer>Congatec</Manufacturer>
+		<Product>conga-BAF/T40N</Product>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_FusionGT40N_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_FusionGT40N_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>Congatec</Manufacturer>
+			<Product>conga-BAF</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>AMD</Manufacturer>
+			<Product>Fusion G-T40N</Product>
+			<MaxPower>9.0</MaxPower>
+			<MaxClockSpeed>800</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Capacity>4096</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomZ510.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomZ510.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomZ510.xml	(revision 644)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_AtomZ510</ComponentId>
+		<Manufacturer>Toradex</Manufacturer>
+		<Product>Woodpecker Z510</Product>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_AtomZ510_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_AtomZ510_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>Toradex</Manufacturer>
+			<Product>Woodpecker Z5xx 1.1</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>Atom Z510</Product>
+			<MaxPower>2.0</MaxPower>
+			<MaxClockSpeed>1600</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Manufacturer>Kingston</Manufacturer>
+			<Product>KVR800D2S6/2G</Product>
+			<Capacity>2048</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_hlrs_sSr_RoomCoolingDevice.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_hlrs_sSr_RoomCoolingDevice.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_hlrs_sSr_RoomCoolingDevice.xml	(revision 644)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?><CoolingDevice xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>hlrs_sSr_RoomCoolingDevice</ComponentId>
+		<Manufacturer>Manufacturer</Manufacturer>
+		<Product>Product</Product>
+		<MaxPower>0.0</MaxPower>
+		<Class>CRAH</Class>
+		<MaxCoolingCapacity>60000000</MaxCoolingCapacity>
+		<MaxAirThroughput>0.0</MaxAirThroughput>
+	</CoolingDevice>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_Core2Duo.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_Core2Duo.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_Core2Duo.xml	(revision 644)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_Core2Duo</ComponentId>
+		<Manufacturer>Congatec</Manufacturer>
+		<Product>conga-BM45/P8400</Product>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_Core2Duo_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_Core2Duo_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>Congatec</Manufacturer>
+			<Product>conga-BM45</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>Core 2 Duo P8400</Product>
+			<MaxPower>25.0</MaxPower>
+			<MaxClockSpeed>2267</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Capacity>4096</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomZ530.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomZ530.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_node_AtomZ530.xml	(revision 644)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?><Node xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>node_AtomZ530</ComponentId>
+		<Manufacturer>Toradex</Manufacturer>
+		<Product>Woodpecker Z530</Product>
+		<Sensor>
+			<Class>Temperature</Class>
+			<Unit>Â°C</Unit>
+			<SensorId>node_AtomZ530_temp</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Sensor>
+			<Class>Power</Class>
+			<Unit>W</Unit>
+			<SensorId>node_AtomZ530_power</SensorId>
+			<Transform>Transform</Transform>
+		</Sensor>
+		<Baseboard>
+			<Manufacturer>Toradex</Manufacturer>
+			<Product>Woodpecker Z5xx 1.1</Product>
+		</Baseboard>
+		<Processor>
+			<Manufacturer>Intel</Manufacturer>
+			<Product>Atom Z530</Product>
+			<MaxPower>2.0</MaxPower>
+			<MaxClockSpeed>1600</MaxClockSpeed>
+		</Processor>
+		<Memory>
+			<Manufacturer>Kingston</Manufacturer>
+			<Product>KVR800D2S6/2G</Product>
+			<Capacity>2048</Capacity>
+		</Memory>
+	</Node>
Index: /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_RECS_Sirius.xml
===================================================================
--- /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_RECS_Sirius.xml	(revision 644)
+++ /DCWoRMS/trunk/src/test/DEBBTranslator/xml/debb_component_RECS_Sirius.xml	(revision 644)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?><NodeGroup xmlns:xsd_1="http://www.coolemall.eu/DEBBComponent" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+		<ComponentId>RECS_Sirius</ComponentId>
+		<Manufacturer>Christmann</Manufacturer>
+		<Product>RECS</Product>
+		<MaxPower>0.0</MaxPower>
+
+		<!-- Repeating 18 times for all fans omitted -->
+		<PowerSupply>
+			<Manufacturer>Block</Manufacturer>
+			<Product>PVSE230/12-15</Product>
+			<MaxPower>0.0</MaxPower>
+			<Class>PSU</Class>
+			<TotalOutputPower>180.0</TotalOutputPower>
+			<Efficiency>0</Efficiency>
+		</PowerSupply>
+		<!-- Repeating 6 times for all power supplies omitted -->
+	</NodeGroup>