Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 639)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 648)
@@ -11,4 +11,5 @@
 \citation{DCD_Romonet}
 \citation{GSSIM}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.4}Summary}{5}}
 \@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{5}}
 \citation{GWF}
@@ -19,5 +20,5 @@
 \newlabel{fig:arch}{{1}{6}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{6}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{6}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{7}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3}Resource modeling}{7}}
 \@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{8}}
@@ -25,48 +26,42 @@
 \citation{GSSIM_Energy}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{9}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{9}}
-\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Energy consumption modeling}}{10}}
-\newlabel{fig:powerModel}{{3}{10}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Energy consumption model}}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{10}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Energy consumption modeling}}{11}}
+\newlabel{fig:powerModel}{{3}{11}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{11}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput profile}}{11}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput model}}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{11}}
 \@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces  Air throughput modeling}}{12}}
 \newlabel{fig:airModel}{{4}{12}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{12}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.3}Thermal management concept}{12}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal profile}}{12}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Temperature estimation model}}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{12}}
 \@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Temperature estimation modeling}}{13}}
 \newlabel{fig:tempModel}{{5}{13}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{13}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{13}}
 \@writefile{toc}{\contentsline {section}{\numberline {4}Modelling of energy efficiency in DCWoRMS}{14}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{14}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Static approach}}{14}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Resource load}}{14}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Application specific}}{14}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Air throughput models}{15}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Static}}{15}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Space}}{15}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Thermal models}{15}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Static}}{15}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Ambient}}{15}}
+\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces CoolEmAll testbed}}{16}}
 \@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{16}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{16}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computattional analysis}{16}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application}{16}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computational analysis}{16}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{17}}
 \bibcite{CloudSim}{{1}{}{{}}{{}}}
 \bibcite{DCSG}{{2}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{3}{}{{}}{{}}}
 \bibcite{Ghislain}{{4}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{18}}
+\newlabel{}{{7}{18}}
 \bibcite{GreenCloud}{{5}{}{{}}{{}}}
 \bibcite{GSSIM}{{6}{}{{}}{{}}}
 \bibcite{GSSIM_Energy}{{7}{}{{}}{{}}}
 \bibcite{GWF}{{8}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{18}}
-\newlabel{}{{7}{18}}
 \bibcite{SLURM}{{9}{}{{}}{{}}}
 \bibcite{SWF}{{10}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 639)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 648)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1353421120 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1353507014 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -29,7 +29,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1353421121 4613 d43e119df55bdee58617b8223b55ae73 ""
-  "elsarticle-DCWoRMS.spl" 1353421120 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1353421118 44579 8a1bab9d89af0ed388dd89500a23fc84 ""
+  "elsarticle-DCWoRMS.aux" 1353507015 4292 a515904da60b90122de1d94ff4164603 ""
+  "elsarticle-DCWoRMS.spl" 1353507015 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1353507014 45094 9a1abf23da82b60a44565767ddcb9c3a ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/airModel.png" 1353405890 41411 f33639119a59ae1d2eabb277137f0042 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 639)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 648)
@@ -136,4 +136,6 @@
 \section{Introduction}
 
+TODO - Introduction
+
 ...
 
@@ -190,4 +192,8 @@
 According to the tool evaluation presented in \cite{DCD_Romonet} an accuracy of models delivered by Romonet is at the level of 95\% when compared with metered data. The simulator is available under an OSL V3.0 open-source license, however it can be only accessed by the DCSG Members.
 
+
+\subsection{Summary}
+
+TODO - short summary of current SoTA
 
 
@@ -331,4 +337,6 @@
 \section{Modelling of energy efficiency in DCWoRMS}
 
+TODO - exact models used in experimental phase (here or in the next section??) 
+
 To facilitate the simulation process, DCWoRMS provides some basic implementation of power consumption and air throughput models.
 
@@ -336,7 +344,10 @@
 
 The energy consumption models provided by default can be classified into the following groups, starting from the simplest model up to the more complex ones. Users can easily switch between the given models and incorporate new, visionary scenarios.
-\paragraph{\textbf{Static approach}} is based on a static definition of resource power usage. This model calculates the total amount of energy consumed by the computing resource system as a sum of energy, consumed by all its components (processors, disks, power adapters, etc.). More advanced versions of this approach assume definition of resource states along with corresponding power usage. This model follows changes of resource power states and sums up the amounts of energy defined for each state.
-\paragraph{\textbf{Resource load}} model extends the static power state description and enhances it with real-time resource usage, most often simply the processor load. In this way it enables a dynamic estimation of power usage based on resource basic power usage and state (defined by the static resource description) as well as resource load. For instance, it allows distinguishing between the amount of energy used by idle processors and processors at full load. In this manner, energy consumption is directly connected with power state and describes average power usage by the resource working in a current state.
-\paragraph{\textbf{Application specific}} model allows expressing differences in the amount of energy required for executing various types of applications at diverse computing resources. It considers all defined system elements (processors, memory, disk, etc.), which are significant in total energy consumption. Moreover, it also assumes that each of these components can be utilized in a different way during the experiment and thus have different impact on total energy consumption. To this end, specific characteristics of resources and applications are taken into consideration. Various approaches are possible including making the estimated power usage dependent on defined classes of applications, ratio between CPU-bound and IO-bound operations, etc.
+
+\textbf{Static approach} is based on a static definition of resource power usage. This model calculates the total amount of energy consumed by the computing resource system as a sum of energy, consumed by all its components (processors, disks, power adapters, etc.). More advanced versions of this approach assume definition of resource states along with corresponding power usage. This model follows changes of resource power states and sums up the amounts of energy defined for each state.
+
+\textbf{Resource load} model extends the static power state description and enhances it with real-time resource usage, most often simply the processor load. In this way it enables a dynamic estimation of power usage based on resource basic power usage and state (defined by the static resource description) as well as resource load. For instance, it allows distinguishing between the amount of energy used by idle processors and processors at full load. In this manner, energy consumption is directly connected with power state and describes average power usage by the resource working in a current state.
+
+\textbf{Application specific} model allows expressing differences in the amount of energy required for executing various types of applications at diverse computing resources. It considers all defined system elements (processors, memory, disk, etc.), which are significant in total energy consumption. Moreover, it also assumes that each of these components can be utilized in a different way during the experiment and thus have different impact on total energy consumption. To this end, specific characteristics of resources and applications are taken into consideration. Various approaches are possible including making the estimated power usage dependent on defined classes of applications, ratio between CPU-bound and IO-bound operations, etc.
 
 \subsection{Air throughput models}
@@ -344,13 +355,15 @@
 The DCWoRMS comes with the following predefined models.
 By default, air throughput estimations are performed according to the first one.
-\paragraph{\textbf{Static}} model refers to a static definition of air throughput states. According to this approach, output air flow depends only on the present air cooling working state and the corresponding air throughput value. Each state change triggers the calculations and updates the current air throughput value. This strategy requires only a basic air throughput profile definition.
-\paragraph{\textbf{Space}} model allows taking into account a duct associated with the investigated air flow. On the basis of the given fan rotation speed and the obstacles before/behind the fans, the output air throughput can be roughly estimated, Thus, it is possible to estimate the air flow level not only referring to the current fan operating state but also with respect to the resource and its subcomponent placement. More advanced scenario may consider mutual impact of several air flows.
+
+\textbf{Static} model refers to a static definition of air throughput states. According to this approach, output air flow depends only on the present air cooling working state and the corresponding air throughput value. Each state change triggers the calculations and updates the current air throughput value. This strategy requires only a basic air throughput profile definition.
+
+\textbf{Space} model allows taking into account a duct associated with the investigated air flow. On the basis of the given fan rotation speed and the obstacles before/behind the fans, the output air throughput can be roughly estimated, Thus, it is possible to estimate the air flow level not only referring to the current fan operating state but also with respect to the resource and its subcomponent placement. More advanced scenario may consider mutual impact of several air flows.
 
 \subsection{Thermal models}
 The following models are supported natively. By default, the static strategy is applied.
 
-\paragraph{\textbf{Static}} approach follows the changes in heat, generated by the computing system components and matches the corresponding temperature according to the specified profile. Since it tracks the power consumption variations, corresponding values must be delivered, either from power consumption model or on the basis of user data. Replacing the appropriate temperature values with function based on the defined material properties and/o experimentally measured values can easily extend this model.
-
-\paragraph{\textbf{Ambient}} model allows taking into account the surrounding cooling infrastructure. It calculates the device temperature as a function adopted from the static approach and extends it with the influence of cooling method. The efficiency of cooling system may be derived from the current air throughput value.
+\textbf{Static} approach follows the changes in heat, generated by the computing system components and matches the corresponding temperature according to the specified profile. Since it tracks the power consumption variations, corresponding values must be delivered, either from power consumption model or on the basis of user data. Replacing the appropriate temperature values with function based on the defined material properties and/o experimentally measured values can easily extend this model.
+
+\textbf{Ambient} model allows taking into account the surrounding cooling infrastructure. It calculates the device temperature as a function adopted from the static approach and extends it with the influence of cooling method. The efficiency of cooling system may be derived from the current air throughput value.
 
 \section{Experiments and evaluation}
@@ -360,5 +373,5 @@
 ....
 
-In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. We carried out two types of experiments. The former one aimed at demonstrating the capabilities of the simulator in termis of verifying the research hypotheses. The latter set of experiments was performed CoolEmAll testbed and then repeated using DCWoRMS tool. The comparative analysis of obtained results shows the reproducibility of experiments and prove the correctness of the adopted models and assumptions.
+In this section, we present computational analysis that were conducted to emphasize the role of modelling and simulation in studying computing systems performance. We carried out two types of experiments. The former one aimed at demonstrating the capabilities of the simulator in termis of verifying the research hypotheses. The latter set of experiments was performed on the CoolEmAll testbed and then repeated using DCWoRMS tool. The comparative analysis of obtained results shows the reproducibility of experiments and prove the correctness of the adopted models and assumptions.
 
 \subsection{Testbed description}
@@ -367,4 +380,25 @@
 compute node at operation system layer can be avoided. Furthermore this concept build up a basis on which new monitoring- and controlling-concepts can be developed. Therefore, each compute node of the RECS Cluster Server is connected to an Operation System independent microcontroller that collects the most important sensor data like temperature, power consumption and the status (on/off) from every single node.
 
+
+\begin {table}[ tp]
+
+\begin{tabular}{llr}
+\hline
+\multicolumn{3}{c}{Nodes} \\
+Type & Memory (RAM) & Count  \\
+\hline
+ Intel i7 & 16 GB &	4 \\
+AMD Fusion T40N 64 Bit & 4 GB 	& 6 \\
+Atom D510 64 Bit & 2 GB &	4 \\
+Atom Z510 VT &2 GB &	4 \\
+\hline
+\multicolumn{3}{c}{Storage} \\
+Type & Size & Connection  \\
+\hline
+Storage Head 520 & 16 x 300 GB SSD & 2 x 10 Gbit/s CX4 \\
+\hline
+\end{tabular}
+\caption {CoolEmAll testbed}
+\end {table}
 
 %Node i7, 16 GB RAM	4
@@ -374,25 +408,25 @@
 %RECS | Storage Head 520, 16 x 300 GB SSD, 2 x 10 Gbit/s CX4
 
-\subsection{Computattional analysis}
-
-\section{DCWoRMS application}
-
-
-DCWoRMS in CoolEmALl, integration with CFD
+\subsection{Computational analysis}
+
+TODO - experiments
+
+\section{DCWoRMS application/use cases}
+
+DCWoRMS in CoolEmAll, integration with CFD
 
 ...
 
-Being based on the GSSIM framework, that has been successfully applied in a substantial number of research projects and academic studies, DCWoRMS with its sophisticated energy extension become an noticeable tool for studies of energy efficiency in distributed environments. For this reason, it has been adopted within the CoolEmAll project as a component of SVD Toolkit. In general the main goal of CoolEmAll is to provide advanced simulation, visualisation and decision support tools along with blueprints of computing building blocks for modular data centre environments. Once developed, these tools and blueprints should help to minimise the energy consumption, and consequently the CO2 emissions of the whole IT infrastructure with related facilities. The SVD Toolkit supports the analysis and optimization of IT modern infrastructures.
-
-However, thermal management strategies are not the only important aspects influencing the energy efficiency of data centres. Actual power usage and effectiveness of energy saving methods heavily depends on available resources, types of applications and workload properties. Therefore, intelligent resource management policies are gaining popularity when considering the energy efficiency of IT infrastructures.
+Being based on the GSSIM framework, that has been successfully applied in a substantial number of research projects and academic studies, DCWoRMS with its sophisticated energy extension has become an essential tool for studies of energy efficiency in distributed environments. For this reason, it has been adopted within the CoolEmAll project as a component of SVD Toolkit. In general the main goal of CoolEmAll is to provide advanced simulation, visualisation and decision support tools along with blueprints of computing building blocks for modular data centre environments. Once developed, these tools and blueprints should help to minimise the energy consumption, and consequently the CO2 emissions of the whole IT infrastructure with related facilities. The SVD Toolkit is designed to support the analysis and optimization of IT modern infrastructures. For the recent years the special attention has been paid for energy utilized by the data centers which considerable contributes to the data center operational costs.  Actual power usage and effectiveness of energy saving methods heavily depends on available resources, types of applications and workload properties. Therefore, intelligent resource management policies are gaining popularity when considering the energy efficiency of IT infrastructures.
 Hence, SVD Toolkit integrates also workload management and scheduling policies to support complex modeling and optimization of modern data centres.
 
-The main aim of DCWoRMS is to enable studies of dynamic states of IT infrastructures, like power consumption and air throughput distribution, on the basis of changing workloads, resource model and energy-aware resource management policies.
-Workload simulation phase takes into account the specific workload and application characteristics as well as detailed resource parameters. It will benefit from the CoolEmAll benchmarks and classification of applications and workloads. In particular various types of workload, including data centre workloads using virtualization and HPC applications, may be considered. The knowledge concerning their performance and properties as well as information about their energy consumption and heat production will be used in simulations to study their impact on thermal issues and energy efficiency. The Resource model is based on DEBB description that supports modeling a data centre at various granularity levels. Besides defining simulated architecture, it is complemented with resource energy profiles that become an additional criterion in the workload management process. Based on this data workload simulation will support evaluation process of various resource management approaches. These policies may include a wide spectrum of energy-aware strategies such as workload consolidation/migration, dynamic switching off nodes, Dynamic Voltage and Frequency Scaling (DFVS), and thermal-aware methods. In addition to typical approaches minimizing energy consumption, policies that prevent too high temperatures in the presence of limited cooling (or no cooling) may also be analyzed. Moreover, apart from the set of predefined strategies, new approaches can easily be applied and examined.
-The outcome of the workload simulation phase is a distribution of power usage and air throughput for the computing models specified within the SVD Toolkit. These statistics may be analyzed directly by data centre designers and administrators and/or provided as an input to the CFD simulation phase. The former case allows studying how the above metrics change over time, while the latter harness CFD simulations to identify temperature differences between the computing modules, called hot spots. The goal of this scenario is to visualise the behavior of the temperature distribution within a server room with a number of racks for different types of executed workloads and for various policies used to manage these workloads.
+The main aim of DCWoRMS within CoolEmAll project is to enable studies of dynamic states of IT infrastructures, like power consumption and air throughput distribution, on the basis of changing workloads, resource model and energy-aware resource management policies.
+In this context, DCWoRMS takes into account the specific workload and application characteristics as well as detailed resource parameters. It will benefit from the CoolEmAll benchmarks and classification of applications and workloads. In particular various types of workload, including data centre workloads using virtualization and HPC applications, may be considered. The knowledge concerning their performance and properties as well as information about their energy consumption and heat production will be used in simulations to study their impact on thermal issues and energy efficiency. Detailed resource characteristics, will be also provided according to the CoolEmAll blueprints. Based on this data, workload simulation will support evaluation process of various resource management approaches. These policies may include a wide spectrum of energy-aware strategies such as workload consolidation/migration, dynamic switching off nodes, Dynamic Voltage and Frequency Scaling (DVFS), and thermal-aware methods. In addition to typical approaches minimizing energy consumption, policies that prevent too high temperatures in the presence of limited cooling (or no cooling) may also be analyzed. Moreover, apart from the set of predefined strategies, new approaches can easily be applied and examined.
+The outcome of the workload and resource management simulation phase is a distribution of power usage and air throughput for the computing models specified within the SVD Toolkit. These statistics may be analyzed directly by data centre designers and administrators and/or provided as an input to the CFD simulation phase. The former case allows studying how the above metrics change over time, while the latter harness CFD simulations to identify temperature differences between the computing modules, called hot spots. The goal of this scenario is to visualise the behavior of the temperature distribution within a server room with a number of racks for different types of executed workloads and for various policies used to manage these workloads.
 
 
 \section{Conclusions and future work}
 
+TODO - Conclusions and future research
 
 