Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 648)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 650)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1353507014 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1353627755 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -29,7 +29,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1353507015 4292 a515904da60b90122de1d94ff4164603 ""
-  "elsarticle-DCWoRMS.spl" 1353507015 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1353507014 45094 9a1abf23da82b60a44565767ddcb9c3a ""
+  "elsarticle-DCWoRMS.aux" 1353627757 4292 a515904da60b90122de1d94ff4164603 ""
+  "elsarticle-DCWoRMS.spl" 1353627756 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1353627753 45102 382aaf7bf43a885e9bda6d2635a7abea ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/airModel.png" 1353405890 41411 f33639119a59ae1d2eabb277137f0042 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 648)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 650)
@@ -140,5 +140,5 @@
 ...
 
-The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, like Grids and Clouds, in terms of energy efficiency. Section~3 introduces the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we present some experiments that were performed on our testbed and then repeated using DCWORMS to evaluate the correctness of the simulation environment. Section~6 focuses on the role of DCWoRMS within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
+The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, like Grids and Clouds, in terms of energy efficiency. Section~3 discusses the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we present some experiments that were performed on our testbed and then repeated using DCWORMS to evaluate the correctness of the simulation environment. Section~6 focuses on the role of DCWoRMS within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
 
 \section{Related Work}
@@ -148,5 +148,5 @@
 \subsection{GreenCloud}
 
-GreenCloud \cite{GreenCloud} is a C++ based simulation environment for energy-aware data cloud computing data centers. It was developed as an extension of the NS2 network simulator. GreenCloud allows researchers to observe and evaluate data centers performance and study their energy-efficiency, focusing mainly on the communications within a data center. Along with the workload distribution, it offers users a detailed, fine-grained modeling of the energy consumed by the elements of the data center. 
+GreenCloud \cite{GreenCloud} is a C++ based simulation environment for energy-aware cloud computing data centers. It was developed as an extension of the NS2 network simulator. GreenCloud allows researchers to observe and evaluate data centers performance and study their energy-efficiency, focusing mainly on the communications within a data center. Along with the workload distribution, it offers users a detailed, fine-grained modeling of the energy consumed by the elements of the data center. 
 
 To deliver information about the energy usage, GreenCloud distinguishes three energy consumption components: computing energy, communicational energy, and the energy component related to the physical infrastructure of a data center. This approach enables modeling energy usage associated with computations, network operations and cooling systems. In GreenCloud, the energy models are implemented for every simulated data center entity (computing servers, core and rack switches). Moreover, due to the advantage in the simulation resolution, energy models can operate at the network packet level as well. This allows updating the levels of energy consumption whenever a new packet leaves or arrives from the link, or whenever a new task execution is started or completed at the server.
@@ -339,5 +339,5 @@
 TODO - exact models used in experimental phase (here or in the next section??) 
 
-To facilitate the simulation process, DCWoRMS provides some basic implementation of power consumption and air throughput models.
+To facilitate the simulation process, DCWoRMS provides some basic implementation of power consumption, air throughput and thermal models.
 
 \subsection{Power consumption models}
@@ -353,5 +353,5 @@
 \subsection{Air throughput models}
 
-The DCWoRMS comes with the following predefined models.
+The DCWoRMS comes with the following air throughput models.
 By default, air throughput estimations are performed according to the first one.
 
@@ -361,4 +361,5 @@
 
 \subsection{Thermal models}
+
 The following models are supported natively. By default, the static strategy is applied.
 